Skip to content

Portfolio performance grouped by currency

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Portfolio performance grouped by currency

Security
oauth2ClientCredentials(Required scopes: investments:read)
Query
rangestring
Default:"MTD"
Enum:"MTD""YTD""ALL"
Headers
Idempotency-Keystring

Required on write endpoints (POST). UUID per submission. Middleware dedupes for 24h.

org_wallet_refstring
business_idstringrequired
curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/investments/portfolio/performance-by-currency?range=MTD' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Idempotency-Key: string' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Bodyapplication/json
rangestringrequired
Enum:"MTD""YTD""ALL"
currenciesArray of objects(PortfolioPerformanceCurrencyDto)required
Response
{ "range": "MTD", "currencies": [ {} ] }